Subject: Re: [PATCH bpf-next v2 5/8] xdp: make devmap flush_list common for all map instances

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 08 Jan 2020 11:23:41 +0100

Björn Töpel <[email-masked]> writes:

> On Tue, 7 Jan 2020 at 18:58, John Fastabend <[email-masked]> wrote:
>>
> [...]
>> __dev_flush()?
>>
> [...]
>>
>> Looks good changing the function name would make things a bit cleaner IMO.
>>
>
> Hmm, I actually prefer the _map_ naming, since it's more clear that
> "entries from the devmap" are being flushed -- but dev_flush() works
> as well! :-) I can send a follow-up with the name change!

Or I can just change it at the point where I'm adding support for
non-map redirect (which is when the _map suffix stops being accurate)? :)

-Toke